<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=39;
?>
<?
/*Sesiones*/
include("../conex.php");
include("../autoriza.php");
if ($editar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}
$get_cod_nombres = $_GET["cp"];
$sql_bpro = "SELECT * FROM vendedor WHERE id = $get_cod_nombres";
$res_bpro = mysql_query($sql_bpro,$enlace);
if (mysql_fetch_object ($res_bpro))
	{
	$sql_id = mysql_result($res_bpro, 0, "id");
	$sql_nombre = mysql_result($res_bpro, 0, "nombres");
	$sql_rut = mysql_result($res_bpro, 0, "rut");
	$sql_ubicacion = mysql_result($res_bpro, 0, "ubicacion");
	$lstbodega = mysql_result($res_bpro, 0, "id_bodega");
	$lstempresa = mysql_result($res_bpro, 0, "id_empresa");
	$sql_telefono= mysql_result($res_bpro, 0, "telefono");
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Mantenimiento de vendedores</title>
<style type="text/css">
<!--
.Estilo11 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; }
body {
	background-color: #CCCCCC;
	margin-left: 0px;
	margin-top: 3px;
	margin-right: 0px;
	margin-bottom: 0px;
}
select {
	clear: right;
	float: left;
	height: auto;
	width: 267px;
}
-->
</style></head>

<body>
<script type="text/javascript" src="../css/validarut.js"></script>
<form action="guarda.php" method="post" enctype="multipart/form-data" name="form1" target="_self">
  <div align="center">Editar Vendedor </div>
  <table border="1" align="center" cellpadding="1" cellspacing="0">
  <tr>
    <td>Nombre </td>
    <td><input name="nombre" type="text" class="textboxnormal" id="nombre" size="32" maxlength="30" value="<?=$sql_nombre?>"></td>
  </tr>
  <tr>
    <td>Rut </td>
    <td><input name="rut" type="text" class="textboxnormal" id="rut" size="14" maxlength="12" value="<?=$sql_rut?>" onBlur="comprueba()"></td>
  </tr>
  <tr>
    <td>Ubicacion </td>
    <td><input name="ubicacion" type="text" class="textboxnormal" id="ubicacion" size="22" maxlength="20" value="<?=$sql_ubicacion?>"></td>
  </tr>
  <tr>
    <td>Telefono </td>
    <td><input name="telefono" type="text" class="textboxnormal" id="telefono" size="14" maxlength="11" value="<?=$sql_telefono?>"></td>
  </tr>
   <tr>
  <td>Bodega:</td>
   
	<td><select name="lstbodega"  id="lstbodega" style="width:200px">
      <? 
		$sql_buem= mysql_query("SELECT * FROM bodega WHERE empresa=$id_empresa",$enlace);
		$buem_contb = 0;
		while ( mysql_fetch_object($sql_buem))
			{
		$sqlbuem_codigo=mysql_result($sql_buem, $buem_contb, "id");
			$sqlbuem_rsoc=mysql_result($sql_buem, $buem_contb, "descripcion");
			if($lstbodega==$sqlbuem_codigo){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$sqlbuem_codigo."\"$sel>".$sqlbuem_rsoc."\n";
    
			$buem_contb += 1;
			} 
		?>
    </select></td>
     </tr>
   <tr>
    <td>Empresa</td>
    <td><?
			$sql_umed = "SELECT * FROM empresa ORDER BY nombre";
			$res_umed = mysql_query($sql_umed,$enlace);
			$cont=0;
			?>
              <select name="lstempresa" id="lstempresa" style="width:267px">
			  <?
			  while (mysql_fetch_object ($res_umed))
				{
				$sql_umed_cod = mysql_result($res_umed, $cont, "id");
				$sql_umed_nom = mysql_result($res_umed, $cont, "nombre");
			?>
                <option value="<?=$sql_umed_cod?>"><? echo $sql_umed_nom;?></option>
			<?
				$cont = $cont+1;
			}
			?>
              </select>
		</td>
          </tr>
  
</table>
  <div align="center">
    <input name="Submit" type="button" class="botones" value="GRABAR" onClick="enviar(form1)">
  </div>
  <input name="id" type="text" class="textboxnormal" id="id" size="6" maxlength="6" value="<?=$sql_id?>" style="visibility:hidden">
</form>
</body>
</html>


<script language="javascript">
var nav4 = window.Event ? true : false;
function valida(evt){
var key = nav4 ? evt.which : evt.keyCode;
	if (key==13) document.form1.txtrsoc.focus()
	return (key <= 13 || (key >= 48 && key <= 57) || (key == 107) || (key == 75) || (key == 45) || (key == 46));
	}
function enviar(form)
{
	if (form.nombre.value==0)
		{
		alert ("Ingrese el nombre del vendedor")
		form.nombre.focus();
		return false;
		}

form.submit();	
}	  
function comprueba()
	{
	if (Rut(document.form1.rut.value)) document.form1.rut.focus();
	}
</script>